To: linux-m68k@lists.linux-m68k.org
Subject: L68K: a small patch for Linux-2.1.85
From: Andre Heynatz <tron@Informatik.Uni-Bremen.DE>
Date: 20 Feb 1998 11:30:03 +0100
Sender: owner-linux-m68k@phil.uni-sb.de

Hello!

Two things:

Firstly the configuration (menuconfig): There's a dangling '-o' which
causes an error message (like in 2.1.79). Then the item 'Frame buffer
devices' is shown only after starting 'make menuconfig' a second
time. If I choose 'Amiga', 'Atari' or 'Mac', this item should show up,
embedded systems of course need no framebuffer.

Secondly debug messages are switched off in virgefb.c because they're
not needed for people not working on this area.

=================

diff -r -u linux-2.1.85-orig/drivers/video/Config.in linux-2.1.85/drivers/video/Config.in
--- linux-2.1.85-orig/drivers/video/Config.in	Wed Feb 18 19:59:46 1998
+++ linux-2.1.85/drivers/video/Config.in	Wed Feb 18 23:49:38 1998
@@ -88,7 +88,7 @@
     if [ "$CONFIG_FB_ATARI" = "y" -o "$CONFIG_FB_ATARI" = "m" -o \
 	 "$CONFIG_FB_OPEN_FIRMWARE" = "y" -o "$CONFIG_FB_MAC" = "y" -o \
 	 "$CONFIG_FB_TGA" = "y" -o \
-	 "$CONFIG_FB_VIRTUAL" = "y" -o "$CONFIG_FB_VIRTUAL" = "m" -o ]; then
+	 "$CONFIG_FB_VIRTUAL" = "y" -o "$CONFIG_FB_VIRTUAL" = "m" ]; then
       define_bool CONFIG_FBCON_CFB8 y
     fi
     if [ "$CONFIG_FB_ATARI" = "y" -o "$CONFIG_FB_ATARI" = "m" -o \
diff -r -u linux-2.1.85-orig/drivers/video/virgefb.c linux-2.1.85/drivers/video/virgefb.c
--- linux-2.1.85-orig/drivers/video/virgefb.c	Wed Feb 18 23:35:42 1998
+++ linux-2.1.85/drivers/video/virgefb.c	Wed Feb 18 23:44:32 1998
@@ -14,7 +14,7 @@
  * for more details.
  */
 
-#define VIRGEFBDEBUG
+#undef VIRGEFBDEBUG
 
 #include <linux/config.h>
 #include <linux/module.h>
@@ -848,12 +848,16 @@
 	display->can_soft_blank = 1;
 	display->inverse = Cyberfb_inverse;
 	switch (display->var.bits_per_pixel) {
+#ifdef CONFIG_FBCON_CFB8
 	    case 8:
 		display->dispsw = &fbcon_virge8;
 		break;
+#endif
+#ifdef CONFIG_FBCON_CFB16
 	    case 16:
 		display->dispsw = &fbcon_cfb16;
 		break;
+#endif
 	    default:
 		display->dispsw = NULL;
 		break;



==============


Greetings,

-- 
Andr Heynatz
http://www.informatik.uni-bremen.de/~tron/
Support non-Wintel (http://www.convergence.eu.org/)
